# Class CIM_ServiceUsesSecurityService
extends CIM_ServiceServiceDependency

This relationship associates a Service with the Security Services that it uses. This association does not add any constraints or semantics to ServiceServiceDependency. As a result, it is deprecated.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ProvidesServiceToElement
|
+--CIM_ServiceServiceDependency
|
+--CIM_ServiceUsesSecurityService

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ServiceServiceDependency
Description | string | This relationship associates a Service with the Security Services that it uses. This association does not add any constraints or semantics to ServiceServiceDependency. As a result, it is deprecated.
UMLPackagePath | string | CIM::User::SecurityServices
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_ServiceUsesSecurityService | CIM_SecurityService
Dependent | CIM_ServiceUsesSecurityService | CIM_Service

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
RestartService | boolean | CIM_ServiceServiceDependency
TypeOfDependency | uint16 | CIM_ServiceServiceDependency

## Class Methods